%This M-Function was created automatically by PSG Toolbox.
%See section "Special Subroutines in Toolbox -> User Subroutine in Toolbox" in PSG Help Manual.
%
%Input variables:
%
%Inputs                        PSG Type    PSG Object          Location in Problem Statement                                                         Class
%matrix_scenarios_benchmark    bench       matrix_scenarios    for {matrix_fact_in; matrix_fact_out; num} = crossvalidation(10, matrix_scenarios)    double
%matrix_scenarios_data         data        matrix_scenarios    for {matrix_fact_in; matrix_fact_out; num} = crossvalidation(10, matrix_scenarios)    double
%matrix_scenarios_vars         vars        matrix_scenarios    for {matrix_fact_in; matrix_fact_out; num} = crossvalidation(10, matrix_scenarios)    cell
%
%Output variables:
%
%solution_str = string with solution of problem;
%outargstruc_arr = array of output PSG data structures;


function [solution_str,outargstruc_arr] = problem_twotailedvar90_A_subroutine(matrix_scenarios_benchmark,matrix_scenarios_data,matrix_scenarios_vars)

%Pack data to PSG structure:
count = 0;
count = count+1;
iargstruc_arr(count) = matrix_pack('matrix_scenarios',matrix_scenarios_data,matrix_scenarios_vars,matrix_scenarios_benchmark,[]);
%Define problem statement:
problem_statement = sprintf('%s\n',...
'for {matrix_fact_in; matrix_fact_out; num} = crossvalidation(10, matrix_scenarios)',...
'',...
'minimize',...
'  linearize = 1 ',...
'  var_risk_g_90(0.9, matrix_fact_in)',...
'  var_risk_90(0.9,matrix_fact_in)',...
'constraint: == 0',...
'  avg(matrix_fact_in)',...
'solver: van, precision = 9, stages = 30',...
'',...
'value: ',...
'  l_num(matrix_fact_out) ',...
'  l_num(matrix_fact_in)',...
'  cvar_dev(0.9, matrix_fact_in) ',...
'  meanabs_dev(matrix_fact_in) ',...
'  st_dev(matrix_fact_in)',...
'  var_risk(0.75, matrix_fact_in)',...
'  var_risk_g(0.75, matrix_fact_in)',...
'  var_risk(0.9, matrix_fact_in)',...
'  var_risk_g(0.9, matrix_fact_in)',...
'end for                                                                           ',...
' ');
%Change parameters with their values in problem statement:

%Optimize problem using mpsg_solver function:
[solution_str, outargstruc_arr] = mpsg_solver(problem_statement, iargstruc_arr);
results = psg_convert_outargstruc(solution_str,outargstruc_arr);
outargstruc_arr = results.data;
solution_str = results.string;

%=======================================================================|
%American Optimal Decisions, Inc. Copyright                             |
%Copyright American Optimal Decisions, Inc. 2007-2019.                 |
%American Optimal Decisions (AOD) retains copyrights to this material.  |
%                                                                       |
%Permission to reproduce this document and to prepare derivative works  |
%from this document for internal use is granted, provided the copyright |
%and No Warranty  statements are included with all reproductions       |
%and derivative works.                                                  |
%                                                                       |
%For information regarding external or commercial use of copyrighted    |
%materials owned by AOD, contact AOD at support@aorda.com.              |
%=======================================================================|
 

